%define module	pydot

Name:		python-pydot
Version:	1.4.1
Release:	%mkrel 3
License:	MIT
Group:		Development/Python
Summary:	Python interface to Graphviz's Dot language
URL:		https://github.com/erocarrera/pydot
Source0:	https://pypi.io/packages/source/p/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
An interface for creating both directed and non directed graphs from Python.
Currently all attributes implemented in the Dot language are supported (up
to Graphviz 2.16).

Output can be inlined in Postscript into interactive scientific environments
like TeXmacs, or output in any of the format's supported by the Graphviz
tools dot, neato, twopi.

%package -n	python3-%{module}
Summary:	Python 3 interface to Graphviz's Dot language
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
Requires:	graphviz
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
An interface for creating both directed and non directed graphs from Python.
Currently all attributes implemented in the Dot language are supported (up
to Graphviz 2.16).

Output can be inlined in Postscript into interactive scientific environments
like TeXmacs, or output in any of the format's supported by the Graphviz
tools dot, neato, twopi.

This is the Python 3 version.

%prep
%setup -qn %{module}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc ChangeLog PKG-INFO README.md
%license LICENSE
%{python3_sitelib}/dot_parser.py*
%{python3_sitelib}/pydot-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/pydot.*
%{python3_sitelib}/__pycache__/*.py*


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.4.1-3.mga8
+ Revision: 1532203
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 1.4.1-2.mga8
+ Revision: 1442122
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 1.4.1-1.mga7
+ Revision: 1353880
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.2.4-3.mga7
+ Revision: 1289774
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Create and use py3dir

* Wed Mar 21 2018 kekepower <kekepower> 1.2.4-2.mga7
+ Revision: 1210945
- Use new python_provide

* Mon Feb 19 2018 daviddavid <daviddavid> 1.2.4-1.mga7
+ Revision: 1203247
- new version: 1.2.4
- update URL and Source URL
- rename python-pydot to python2-pydot
- add the python3 subpackage

* Thu Aug 24 2017 ovitters <ovitters> 1.0.25-11.mga7
+ Revision: 1146263
+ rebuild (emptylog)

* Fri Feb 05 2016 umeabot <umeabot> 1.0.25-11.mga6
+ Revision: 938325
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.25-10.mga5
+ Revision: 744451
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.25-9.mga5
+ Revision: 729449
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.25-8.mga5
+ Revision: 688246
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0.25-6.mga4
+ Revision: 544037
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.25-5.mga4
+ Revision: 499172
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.0.25-4.mga3
+ Revision: 379321
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 21 2012 fwang <fwang> 1.0.25-3.mga3
+ Revision: 333578
- update file list

* Sun Jul 17 2011 fwang <fwang> 1.0.25-2.mga2
+ Revision: 125381
- update group

* Sun Jul 17 2011 fwang <fwang> 1.0.25-1.mga2
+ Revision: 125306
- update tar dir
- imported package python-pydot

